* {
  box-sizing: border-box; }

form {
  margin: 0; }
  form * {
    font-family: inherit; }
  form#nlx-form {
    flex-grow: 1; }

fieldset {
  border: 0;
  padding: 0; }

fieldset.hidden-lastpass-password-offset {
  margin-bottom: -4em; }

#hidden-lastpass-password {
  height: 3em;
  position: relative;
  z-index: -999; }

label {
  margin: 2em 0;
  display: block; }

input[type="text"],
input[type="email"],
input[type="password"] {
  font-size: 100%;
  background-color: #ededf0;
  border: 1px solid #fff;
  border-radius: .2em;
  padding: .5em .9em;
  display: block;
  width: 100%;
  margin-bottom: 1em; }
  input[type="text"]:hover, input[type="text"]:focus,
  input[type="email"]:hover,
  input[type="email"]:focus,
  input[type="password"]:hover,
  input[type="password"]:focus {
    border: 1px solid #0060df;
    outline: none; }
  .focus-styles input[type="text"]:focus, .focus-styles
  input[type="email"]:focus, .focus-styles
  input[type="password"]:focus {
    border-color: transparent; }

.form__input {
  position: relative; }
  p + .form__input {
    margin-top: 2.5em;
    /* leave space to fit a paragraph above a field */ }
  .form__input label {
    margin: 0;
    position: absolute;
    top: .5em;
    left: .9em; }
  .form__input input:focus + label,
  .form__input input.has-contents + label {
    position: absolute;
    top: -1.5em;
    color: #0060df;
    font-weight: bold; }
    .form__input input:focus + label > span,
    .form__input input.has-contents + label > span {
      font-size: 0.75em; }

html,
body {
  height: 100%; }

body {
  background-color: #fff;
  color: #737373;
  font-family: "Open Sans", sans-serif;
  height: 100%;
  letter-spacing: 0.03em;
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-rows: auto 1fr; }
  @media (min-width: 36em) {
    body {
      /* bootstrap xs sizing, 576px */
      background-color: #ededf0;
      margin: 0 1.5em;
      padding: 1em 0; } }
  @media (min-width: 50em) {
    body {
      padding: 3em 0; } }

[hidden] {
  display: none; }

h1 {
  margin: 0; }

.focus-styles :focus {
  box-shadow: 0px 0 0 1px #0060df, 0 0 0 3px rgba(69, 161, 255, 0.54);
  outline: transparent; }

.focus-styles [tabindex="-1"]:focus {
  box-shadow: none; }

.focus-styles ::-moz-focus-inner {
  border: 0; }

a {
  color: #0060df;
  text-decoration: none; }
  a:hover {
    color: #000;
    text-decoration: underline;
    text-decoration-skip: ink; }

p:first-child {
  margin-top: 0; }

hr {
  border: none;
  height: 1px;
  background-color: #d7d7db;
  margin: 2em 0; }

.visually-hidden {
  position: absolute;
  left: -9999em; }

.non-ldap-options-intro {
  padding-top: 2em;
  border-top: 2px solid #f9f9fa;
  margin-top: 2em; }

.a0-mode {
  width: calc(100% + 2px); }

#a0-widget #a0-onestep {
  max-width: 26em;
  width: 90% !important; }

#a0-widget .a0-popup .a0-centrix {
  display: block;
  margin: 5vh auto auto auto; }

iframe#duo_iframe {
  width: 100%; }

.banner {
  background: #000;
  color: #fff;
  border-bottom: 1px solid #fff;
  padding: 1.5em;
  text-align: center;
  margin: -1em -1.5em 5em;
  display: flex;
  flex-direction: column; }
  @media (min-width: 50em) {
    .banner {
      margin: -3em -1.5em 5em; } }
  .banner a {
    color: #fff; }
    .banner a:hover {
      color: #fff;
      text-decoration: underline; }
  .banner p {
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center; }
    @media (min-width: 40em) {
      .banner p {
        display: block; } }
  .banner__button {
    background-color: rgba(255, 255, 255, 0.2);
    color: #fff;
    text-decoration: none;
    border-radius: 1.25em;
    font-weight: bold;
    padding: .25em 1em;
    margin: 1em 0 0 1em;
    text-transform: uppercase; }
    @media (min-width: 40em) {
      .banner__button {
        margin: .5em 0 .5em 1em;
        display: inline-block;
        vertical-align: middle; } }
    .banner__button:hover {
      color: #fff;
      text-decoration: none; }

.button {
  text-align: center;
  text-decoration: none;
  padding: .93em 2em;
  display: block;
  font-size: 87.5%;
  letter-spacing: .04em;
  line-height: 1.57;
  font-family: inherit;
  border-radius: 2em;
  background-color: #0060df;
  color: #fff;
  border: 1px solid transparent;
  transition: background-color .1s ease-in-out;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none; }
  .button:hover {
    background-color: #fff;
    color: #0060df;
    border-color: currentColor;
    text-decoration: none; }
  .button:active {
    background-color: #0060df;
    color: #fff;
    border-color: #0060df; }
  .button--full-width {
    width: 100%; }
  .button--secondary {
    border-color: #b1b1b3;
    background-color: transparent;
    color: #000;
    text-transform: none; }
    .button--secondary:hover {
      background-color: #000;
      color: #fff;
      border-color: transparent; }
      .button--secondary:hover svg > path {
        fill: #fff; }
    .button--secondary:active {
      background-color: transparent;
      border-color: #000;
      color: #000; }
  .button--social {
    display: flex;
    padding-left: 1.14em;
    padding-right: 1.14em; }
    .button--social .icon {
      width: 1.29em;
      height: 1.29em; }
    .button--social .icon,
    .button--social span {
      margin-right: auto;
      align-self: center; }
  .button--text-only {
    background-color: transparent;
    text-transform: none;
    border: 1px solid transparent;
    color: #0060df;
    text-align: left;
    font-weight: normal;
    padding: .5em 1em;
    font-size: .9em; }
    .button--text-only:hover {
      background-color: transparent;
      color: #0060df;
      border-color: transparent;
      text-decoration: underline;
      text-decoration-skip: ink; }
    .button--text-only:active {
      background-color: #000;
      color: #fff;
      border-color: #000; }
  .button--unpadded {
    margin-left: -1em; }
  .button--github .icon-hover {
    display: none; }
  .button--github:hover .icon-hover {
    display: block; }
  .button--github:hover .icon-default {
    display: none; }
  .button:last-child {
    margin-bottom: 0; }
  .button svg,
  .button span {
    pointer-events: none; }

.card {
  background-color: #fff;
  border: 0;
  display: flex;
  flex-direction: column;
  margin: 0 auto auto auto;
  max-width: 26em;
  min-height: 100%;
  padding: 2em;
  width: 100%; }
  @media (min-height: 51.5em) {
    .card {
      /* 824px, iPhone X and Pixel XL size */
      min-height: unset;
      /* don't grow on huge screens */ } }
  @media (min-width: 36em) {
    .card {
      /* bootstrap xs sizing, 576px */
      border-radius: 0.125em;
      box-shadow: 0 0.25em 0.25em 0 rgba(210, 210, 210, 0.5);
      padding: 2.5em; } }
  @supports (display: grid) {
    .card {
      grid-row-start: 2; }
      @media (min-height: 50em) {
        .card {
          top: -3em;
          /* compensate for negative margin for footer links */ } } }
  .card__back {
    margin-bottom: 1em; }
  .card__heading {
    font-size: 1.4em;
    font-weight: 400;
    text-transform: capitalize;
    padding-left: 2.125em;
    position: relative;
    min-height: 1.5em; }
    .card__heading--iconless {
      padding-left: 0; }
    .card__heading img {
      width: 1.5em;
      height: 1.5em;
      position: absolute;
      left: 0;
      top: 0; }
    .card__heading--success {
      color: #12bc00; }
    .card__heading--error {
      color: #ff0039; }
  .card [data-screen]:focus {
    outline: none; }

.icon {
  display: inline-block;
  vertical-align: middle;
  width: 1em;
  height: 1em;
  margin-right: .5em; }

#legal-links {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  margin: 2em -.25em 0; }
  @media (min-width: 25em) {
    #legal-links {
      margin: 3em -.25em 0; } }
  #legal-links li {
    font-size: .75em; }
  #legal-links a {
    text-decoration: none;
    color: #000;
    padding: 0 1em; }
    #legal-links a:hover {
      color: #0060df;
      text-decoration: underline;
      text-decoration-skip: ink; }
    #legal-links a:active {
      box-shadow: none; }

.list--plain {
  margin: 0;
  padding: 0; }
  .list--plain li {
    list-style: none; }

.loading__spinner {
  display: block;
  margin: 3em auto;
  width: 2em;
  animation: rotateSpinner 1.2s linear infinite;
  transform-origin: center; }

.loading__status {
  text-align: center;
  margin: 1em 0; }

@keyframes rotateSpinner {
  0% {
    transform: rotate(0deg); }
  100% {
    transform: rotate(359deg); } }

.login-options li {
  margin-bottom: 1em; }
  .login-options li:last-child {
    margin-bottom: 0; }

.login-options + a {
  margin-top: 1em; }

.login-options--empty + hr {
  display: none; }

.logo {
  display: inline-block;
  margin-bottom: 1em;
  padding: 0;
  border-radius: 0; }
  @media (min-width: 25em) {
    .logo {
      margin-bottom: 2.5em; } }
  .logo svg {
    width: 100%;
    max-width: 6.5em;
    display: block; }
  .logo img {
    display: block; }

.rp-name {
  margin-bottom: 1.5em; }
  @media (min-width: 25em) {
    .rp-name {
      margin-bottom: 2.5em; } }
  .rp-name__text {
    color: #000; }

.setting input {
  position: absolute;
  left: -9999em; }
  .setting input:focus + label .setting__toggle {
    box-shadow: 0px 0 0 1px #0060df, 0 0 0 3px rgba(69, 161, 255, 0.54); }

.setting label {
  margin: 0;
  display: inline-block;
  vertical-align: middle; }

.setting__disabled-text {
  display: inline; }
  input:checked + label .setting__disabled-text {
    display: none; }

.setting__enabled-text {
  display: none; }
  input:checked + label .setting__enabled-text {
    display: inline; }

.setting__toggle {
  width: 3em;
  height: 1.75em;
  border-radius: 1em;
  background-color: #b1b1b3;
  display: inline-block;
  vertical-align: middle;
  margin-right: .5em;
  position: relative;
  border: 1px solid transparent; }
  input:checked + label .setting__toggle {
    background-color: #12bc00; }
  .setting__toggle::after {
    transition: all 0.2s ease-in-out;
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    border-radius: 1em;
    content: '';
    top: .07em;
    left: .125em;
    background-color: white; }
    input:checked + label .setting__toggle::after {
      left: 1.3em; }

.link-to-tooltip {
  color: #737373;
  float: right;
  font-size: 1.2em; }
  .link-to-tooltip svg path {
    fill: #737373; }
  .link-to-tooltip:hover svg path {
    fill: #0060df; }
  .link-to-tooltip .icon {
    vertical-align: baseline;
    margin: .31em;
    display: block;
    width: .83em;
    height: .83em; }

.tooltip {
  display: none;
  background-color: #f9f9fa;
  padding: 1em;
  margin: 1em 0; }
  .tooltip p:last-child {
    margin-bottom: 0; }
  .tooltip a:last-child {
    margin-left: .5em; }
  .tooltip:target {
    display: block; }
